sticky
Installation Failed: Version 1.1 on top of 1.0 - Signature Mismatch

    การสนทนาทั่วไป

  • Hi everyone.  If you are getting an error or failing to install version 1.1 and you already have version 1.0 installed then you will need to uninstall the previous version of Debugger Canvas first. (Or install QFE 2581019 from http://connect.microsoft.com/VisualStudio/Downloads/DownloadDetails.aspx?DownloadID=38654 before installing the update.) This is because Visual Studio 2010 SP1 has a bug which prevents signed VSIXes from being updated.  You can tell if you are running into this issue because the installation log will contain a line like this:

    Install Error : VSIXInstaller.SignatureMismatchException: The signature on the update version of 'Debugger Canvas' does not match the signature on the installed version. Therefore, Extension Manager cannot install the update.

    To uninstall version 1.0:

    1. Open Visual Studio.
    2. Click Tools -> Extension Manager.
    3. Select Debugger Canvas and click Uninstall.
    4. Select VS Fragments and click Uninstall.
    5. Close VS and attempt to install version 1.1 again.

    We apologize for the inconvenience!


    Kael Rowan | Research Software Design Engineer | Human Interactions in Programming | Microsoft Research





    31 มกราคม 2555 18:47
    เจ้าของ